datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene11stv1rnentrezg <- function() showQCData("ragene11stv1rnentrezg", datacache)
ragene11stv1rnentrezg_dbconn <- function() dbconn(datacache)
ragene11stv1rnentrezg_dbfile <- function() dbfile(datacache)
ragene11stv1rnentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene11stv1rnentrezg_dbInfo <- function() dbInfo(datacache)

ragene11stv1rnentrezgORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene11stv1rnentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene11stv1rnentrezg", "chip ragene11stv1rnentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ragene11stv1rnentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene11stv1rnentrezg_dbconn())
}

